File: changelog

package info (click to toggle)
python-hypothesis 3.71.11-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 3,344 kB
  • sloc: python: 27,477; ruby: 981; sh: 223; makefile: 19
file content (201 lines) | stat: -rw-r--r-- 6,405 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
python-hypothesis (3.71.11-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Mattia Rizzolo ]
  * New upstream version 3.71.11.
    + Compatibility with Python 3.7.  Closes: #904646
  * Update watch file to the new tarball names.  Closes: #904647
  * Fix paths after upstream shuffled files around.
  * d/rules: Drop unneeded override_dh_python3.
  * d/rules: Add a comment on why the tests are skipped.
  * Add new dependency on python(3)-dateutil.
  * Fix autopkgtest to fit the new version.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Sep 2018 13:47:07 +0200

python-hypothesis (3.44.1-2) unstable; urgency=medium

  * Team upload.
  * Add python{,3}-/pypy-attrs and python{,3}-/pypy-coverage to B-D
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Bump debhelper compat level to 11
  * Move docs to /usr/share/python-hypothesis
  * Install examples
  * Rename lintian override: debian-watch-may-check-gpg-signature
    -> debian-watch-does-not-check-gpg-signature
  * Bump Standards-Version to 4.1.3 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Fri, 16 Feb 2018 11:44:09 +0100

python-hypothesis (3.44.1-1) unstable; urgency=medium

  * New upstream release (closes: #884786).
    - Fix docs reproducibility (closes: #854549).
  * Replace extra priority with optional.
  * Bump Standards-Version to 4.1.2 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 19 Dec 2017 23:04:43 +0200

python-hypothesis (3.12.0-2) unstable; urgency=medium

  * Avoid loading py.test configuration from tox.ini (fixes autopkgtest
    failures).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 08 Jul 2017 13:58:47 +0200

python-hypothesis (3.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Tweak docs/conf.py to fix building docs when Hypothesis is not
      installed.
  * Fix permuted python3-hypothesis and python-hypothesis-doc Depends
    stanzas (closes: #867435).
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 07 Jul 2017 14:39:39 +0200

python-hypothesis (3.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 26 Dec 2016 14:45:42 +0200

python-hypothesis (3.6.0-1) unstable; urgency=medium

  * The copyright of tests/cover/test_pretty.py is now documented
    correctly.
  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 07 Nov 2016 19:48:45 +0200

python-hypothesis (3.4.2-2) unstable; urgency=medium

  [ Julian Taylor ]
  * add pypy-hypothesis package

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 27 Aug 2016 18:04:12 +0200

python-hypothesis (3.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 16 Jul 2016 17:29:58 +0200

python-hypothesis (3.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 25 Jun 2016 02:00:45 +0200

python-hypothesis (3.1.3-3) unstable; urgency=medium

  * Install python3-sphinx-rtd-theme instead of python-sphinx-rtd-theme
    (closes: #827588, hopefully).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jun 2016 19:23:22 +0200

python-hypothesis (3.1.3-2) unstable; urgency=medium

  * Add python-hypothesis-doc to Suggests.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 15 May 2016 23:28:36 +0200

python-hypothesis (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Disable build-time test suite; running the tests takes a long time,
    and is a little flaky, but hardly anything tested by them is
    Debian-specific, so upstream would have already caught a bad release.
    The DEP 8 tests are left, however.
  * Swap team over to Maintainer.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 15 May 2016 02:43:24 +0200

python-hypothesis (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Build python-hypothesis-doc package with documentation.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 06 Mar 2016 23:40:36 +0200

python-hypothesis (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Bump Standards-Version to 3.9.7 (no changes).
  * Add missing dependency on python-enum34; the platform marker obscures
    it from being detected automatically.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 23 Feb 2016 14:48:26 +0200

python-hypothesis (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 18 Feb 2016 22:05:58 +0200

python-hypothesis (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 18 Feb 2016 15:57:16 +0200

python-hypothesis (3.0.0-1) unstable; urgency=medium

  * Fix watch file to handle alpha version.
  * New upstream release.
    - Add Build-Depends: python-enum34.
  * Switch to https in Vcs-Git.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 17 Feb 2016 17:44:32 +0200

python-hypothesis (2.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 23 Jan 2016 04:34:52 +0200

python-hypothesis (1.18.0-1) unstable; urgency=medium

  * New upstream release.
    - Switch to GitHub tarball to pick up the tests.
  * Run the tests at build time (closes: #808039).

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 21 Dec 2015 13:47:28 +0200

python-hypothesis (1.17.0-1) unstable; urgency=medium

  * New upstream release.
    - Change in Python 3 compatibility code (closes: #807988).
  * Add myself to Uploaders.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 16 Dec 2015 17:12:05 +0200

python-hypothesis (1.16.0-1) unstable; urgency=medium

  * Team upload.

  [ Vincent Bernat ]
  * Ship README.rst.

  [ Stefano Rivera ]
  * Update VCS fields for Git migration.

  [ Tristan Seligmann ]
  * New upstream release.
  * Remove stray egg-info directory.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 11 Dec 2015 16:54:37 +0200

python-hypothesis (1.11.0-1) unstable; urgency=medium

  * Initial release. Closes: #799044.

 -- Vincent Bernat <bernat@debian.org>  Tue, 15 Sep 2015 10:17:24 +0200